import { ConflictError } from "../../errors/ConflictError";
import { UnauthorizedError } from "../../errors/UnauthorizedError";

export function handleRcError(o: any) {
    if (!o.success) {
        if (o.status === "error") {
            if (o.message === "You must be logged in to do this.") {
                throw new UnauthorizedError(o.error);
            }
        }
        if (o.error?.includes("already in use")) {
            throw new ConflictError(
                o.error.includes("@") ? "email" : "username",
            );
        }
        if (o.error?.includes("not found")) {
        }
        throw new Error(o.error);
    }
}
