import { ISCIMResource } from "./Interfaces";

export class SCIMListResponse {
    public readonly schemas = [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse",
    ];
    public totalResults: number;
    public startIndex: number = 1;
    public itemsPerPage: number;
    public Resources: Array<ISCIMResource>;
}
